Bug 577501 - rebuild fails for anaconda-13.36
rebuild fails for anaconda-13.36
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Martin Sivák
Fedora Extras Quality Assurance
Depends On:
Blocks: F13Target
  Show dependency treegraph
Reported: 2010-03-27 11:52 EDT by John Reiser
Modified: 2011-06-27 11:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-06-27 11:20:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch to loader/loader.c (2.25 KB, patch)
2010-03-27 11:52 EDT, John Reiser
no flags Details | Diff

  None (edit)
Description John Reiser 2010-03-27 11:52:13 EDT
Created attachment 403013 [details]
patch to loader/loader.c

Description of problem: anaconda-13.36 fails to compile under gcc-4.4.3-8.fc13.x86_64

Version-Release number of selected component (if applicable):

How reproducible: every time

Steps to Reproduce:
1. rpmbuild -bc --target x86_64 anaconda.spec
Actual results:
loader.c:1201: error: 'rc' may be used uninitialized in this function

Expected results:
successful compilation

Additional info: file loader/loader.c, function doLoaderMain
            case STEP_KBD: {
  <<snip rc not set>>
                } else {
                    step = STEP_METHOD;
                    dir = 1;
/* rc still not set here */

                if (rc == LOADER_NOOP) {
Comment 1 Martin Sivák 2010-03-30 10:53:36 EDT
The patch is already present in rawhide branch as 	02e0ff02f02ae7c838e56df839467d77908664a2.
Comment 3 Adam Williamson 2010-04-16 11:38:14 EDT
As per http://fedoraproject.org/wiki/FTBFS, , FTBFS bugs go to Target, not Blocker.

Fedora Bugzappers volunteer triage team
Comment 4 Bug Zapper 2011-06-02 11:51:24 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 5 Bug Zapper 2011-06-27 11:20:05 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.